Skip to main content
`Ctrl`+`K`

# TaoGetCurrentFunctionEvaluations

Get current number of function evaluations used by a `Tao` object

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoGetCurrentFunctionEvaluations(Tao tao, PetscInt *nfuncs)

Not Collective

## Input Parameter

- tao - the `Tao` solver context

## Output Parameter

- nfuncs - the current number of function evaluations (maximum between gradient and function evaluations)

## See Also

TAO: Optimization Solvers, `Tao`, `TaoSetMaximumFunctionEvaluations()`, `TaoGetMaximumFunctionEvaluations()`, `TaoGetMaximumIterations()`

## Level

intermediate

## Location

src/tao/interface/taosolver.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages